package edu.travel.upload.cos;

import com.qcloud.cos.COSClient;
import com.qcloud.cos.model.PutObjectRequest;
import com.qcloud.cos.transfer.TransferManager;
import com.qcloud.cos.transfer.Upload;
import edu.travel.upload.cos.property.CosProperties;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.context.annotation.Configuration;

import java.io.IOException;
import java.io.InputStream;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;

@Configuration
@ConditionalOnClass(COSClient.class)
public class TencentCosUtils {
    @Autowired
    private CosProperties cosProperties;
    @Autowired
    private COSClient cosClient;

    /**
     * 上传文件到COS
     *
     * @param inputStream 流
     * @param key 文件名称
     * @return
     */
    public  String uploadFileToCOS(InputStream inputStream, String key) throws InterruptedException, IOException, NoSuchAlgorithmException, KeyStoreException {
        // 每次上传前重新初始化连接池
        PutObjectRequest putObjectRequest = new PutObjectRequest(cosProperties.getBucketName(), key, inputStream, null);
        TransferManager transferManager = new TransferManager(cosClient);
        try {
            Upload upload = transferManager.upload(putObjectRequest);
            upload.waitForCompletion(); // 等待上传完成
            String filePath = cosProperties.getBaseUrl() + "/" + key;
            return filePath;
        } finally {
//            cosClient.shutdown(); // 关闭 COS 客户端
        }
    }
}
