package edu.travel.service.impl;



import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import edu.travel.entity.SysRole;
import edu.travel.entity.SysUserRole;
import edu.travel.mapper.SysRoleMapper;
import edu.travel.service.SysRoleService;
import edu.travel.service.SysServiceImpl;
import edu.travel.service.SysUserRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
 * SysServiceImpl 类。
 * <p>
 * 描述：
 *
 * @author huangwenwen
 * @date 2025/2/10
 */

@Service
public class SysRoleServiceImpl extends SysServiceImpl<SysRoleMapper, SysRole> implements SysRoleService {


    @Autowired
    private SysUserRoleService userRoleService;
    @Autowired
    private SysRoleService roleService;
    @Override
    public List<SysRole> getRoleListByUserId(Long userId) {
            // 创建条件
            LambdaQueryWrapper<SysUserRole> userRoleWrapper = new LambdaQueryWrapper<>();
            userRoleWrapper.eq(SysUserRole::getUserId, userId);
            List<SysUserRole> userRoleList = userRoleService.list(userRoleWrapper);
            if (userRoleList.isEmpty()) {
                return new ArrayList<>();
            }
            List<Long> roleIds = userRoleList.stream()
                    .map(SysUserRole::getRoleId)
                    .collect(Collectors.toList());
            LambdaQueryWrapper<SysRole> roleWrapper = new LambdaQueryWrapper<>();
            roleWrapper.in(SysRole::getId, roleIds);
            return roleService.list(roleWrapper);
    }



}
