package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;

import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 国家表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "base_country")
public class BaseCountry extends BaseEntity {
    /**
     * ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 所属洲
     */
    @TableField(value = "parent_id")
    private Long parentId;
    /**
     * 图片
     */
    @TableField(value = "image_url")
    private String imageUrl;

    /**
     * 国家/洲中文名称
     */
    @TableField(value = "country_name_zh")
    private String countryNameZh;

    /**
     * 国家/洲英文名称
     */
    @TableField(value = "country_name_en")
    private String countryNameEn;

    /**
     * 当地国家/洲名称
     */
    @TableField(value = "country_name_local")
    private String countryNameLocal;
    /**
     * 国家图片
     */
    @TableField(value = "country_img")
    private Integer countryImg;
    /**
     * 国家区号
     */
    @TableField(value = "area_code")
    private Integer areaCode;
    /**
     * 经度
     */
    @TableField(value = "longitude")
    private String longitude;

    /**
     * 维度
     */
    @TableField(value = "latitude")
    private String latitude;

}